#include "JoinChannelService.hpp"
#include <iostream>
#include "../requests/JoinChannelRequest.hpp"
#include "../responses/JoinChannelResponse.hpp"

using namespace mole;
using namespace serv;

JoinChannelService::JoinChannelService(mole::ctx::Request * r):Service(r){
    setResponse(new JoinChannelResponse());
}

JoinChannelService::JoinChannelService(){}

JoinChannelService::~JoinChannelService(){}

Service *
JoinChannelService::newInvocableService(mole::ctx::Request * r){
    return new JoinChannelService(r);
}
